--[[

An example showing downloading and displaying an image

This code is MIT licensed, see http://www.opensource.org/licenses/mit-license.php
(C) 2010 - 2011 Gideros Mobile 

]]
require("json")

local info = TextField.new(nil, "loading...")
info:setPosition(10, 10)
stage:addChild(info)

local function onComplete(e)
	info:setText("done")
	local t = json.decode(e.data)
	for k,v in pairs(t) do
		print(k,v)
	end
	print(t.ID)
end

local function onError()
	info:setText("error")
end

local function onProgress(event)
    info:setText("progress: " .. event.bytesLoaded .. " of " .. event.bytesTotal)
end

local loader = UrlLoader.new("http://www.pridestorm.com/zvardin/jsonfile.txt")

loader:addEventListener(Event.COMPLETE, onComplete)
loader:addEventListener(Event.ERROR, onError)
loader:addEventListener(Event.PROGRESS, onProgress)
